Component({
  properties: {
    url: {
      type: String,
      value: "https://img.bazhuay.com/1585887536024_12",
    },
    count: {
      type: String,
      value: 3,
    },
    width: {
      type: String,
      value: 360,
    },
    height: {
      type: String,
      value: 300,
    },
    duration: {
      type: String,
      value: 0.3,
    },
    playNumber: {
      type: String,
      value: "infinite",
    },
  },
  data: {},
  attached() {
    if (this.data.playNumber > 0) {
      setTimeout(() => {
        this.triggerEvent("end");
      }, this.data.playNumber * this.data.duration * 1000);
    }
  },
  methods: {},
});
